### Method

# GLib Queue push_nth_link

since: 2.4

#### Declaration [src]

    void
    g_queue_push_nth_link (
      GQueue* queue,
      gint n,
      GList* link_
    )

#### Description [src]

Inserts `link` into `queue` at the given position.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`n`

  Type: `gint`

  The position to insert the link. If this is negative or larger than the number of elements in `queue`, the link is added to the end of `queue`.

`link_`

  Type: A list of `gpointer`

  The link to add to `queue`.

  The data is owned by the caller of the method.